Bug 506007 - Review Request: perl-Sub-WrapPackages - Add wrappers around all the subroutines in packages
Review Request: perl-Sub-WrapPackages - Add wrappers around all the subroutin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 04:47 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-15 04:47:11 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Sub-WrapPackages/perl-Sub-WrapPackages.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Sub-WrapPackages/perl-Sub-WrapPackages-1.2-1.fc11.src.rpm
Description:
This is mostly a wrapper around Damian Conway's Hook::LexWrap module. This
module allows you to wrap function calls and exits with functions of your
choice.
Comment 1 Parag AN(पराग) 2009-06-15 05:43:04 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1414511
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e93348e9d3d4cec8629f95509ab5cc949b7b0008  Sub-WrapPackages-1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=10,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.10 cusr  0.05 csys =  0.17 CPU)
+ Package perl-Sub-WrapPackages-1.2-1.fc12.noarch =>
Provides: perl(Sub::WrapPackages) = 1.2
Requires: perl(Data::Dumper) perl(Hook::LexWrap) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-15 17:47:43 EDT
Thanks for the review, Panag!
Requesting cvs.

New Package CVS Request
=======================
Package Name: perl-Sub-WrapPackages
Short Description: Add wrappers around all the subroutines in packages
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-17 12:32:57 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-21 11:09:31 EDT
perl-Sub-WrapPackages-1.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Sub-WrapPackages-1.2-1.fc11
Comment 5 Fedora Update System 2009-06-24 15:28:10 EDT
perl-Sub-WrapPackages-1.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Sub-WrapPackages'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6841
Comment 6 Fedora Update System 2009-06-30 17:43:01 EDT
perl-Sub-WrapPackages-1.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.